Neu Composer installieren (via FTP) ?

T-Web

Gut bekanntes Mitglied
14. Mai 2019
150
8
Guten Tag

Ich muss in unserem Shop (Ver. 5.2.4) das Postfinance Plugin installieren. In der Anleitung (siehe Bild im Anhang) steht was von composer installieren.
Dieses File ist auch im Ordner drin. - Nur wie kann ich dies via/auf dem FTP Server installieren. Oder verstehe ich da was ganz falsch.

Konnte das Plugin schon installieren, kommt aber eben beim abspeichern eine Fehlermeldung.

Vielen Dank schon mal für eure Hilfe.
 

Anhänge

  • Bildschirmfoto 5.jpg
    Bildschirmfoto 5.jpg
    85,7 KB · Aufrufe: 22
  • Bildschirmfoto 6.jpg
    Bildschirmfoto 6.jpg
    69,3 KB · Aufrufe: 22
  • Bildschirmfoto 7.jpg
    Bildschirmfoto 7.jpg
    76,4 KB · Aufrufe: 22

mh1

Sehr aktives Mitglied
4. Oktober 2020
1.182
317
Composer ist ein Paketmanager und installiert Abhängigkeiten eines PHP-Programmes. Composer wird über die Kommandozeile ausgeführt.
Das bedeutet, du musst in das Verzeichnis wo die composer.json drin ist und musst dort den Befehl composer install aufrufen. Falls Composer nicht installiert ist, kannst du alternativ in der Datei composer.json nachschauen, welche Pakete als Abhängigkeiten benötigt werden und diese manuell installieren.
 

FPrüfer

Moderator
Mitarbeiter
19. Februar 2016
1.878
518
Halle
Phew... wo hast du denn das Plugin her? Ein Plugin zu vertreiben bei dem ein "composer install" selbst ausgeführt werden muss ist eher unüblich. Hier solltest du dich direkt mit dem Hersteller in Verbindung setzen und um eine unmittelbar installierbare Version bitten.
 

T-Web

Gut bekanntes Mitglied
14. Mai 2019
150
8
Guten Tag und Danke für die Infos.

Das Plugin ist direkt vom Anbieter, der Postfinance Schweiz.

Ist dieser Install für eine Laien machbar ? - Könnte ich diesen direkt im FTP Programm (FileZilla) ausführen ? Oder kommen da bei der Installation noch andere Probleme zum Vorschein ?

Vielen Dank schon mal für eure Hilfe.
 

FPrüfer

Moderator
Mitarbeiter
19. Februar 2016
1.878
518
Halle
Nein, per FTP kannst du das nicht machen. Du benötigst entweder die Rechte für einen Zugriff per SSH auf den Live-Server oder ein entsprechendes Test- oder Dev-System wo du das ausführen kannst. Wie gesagt, ein Plugin nicht installationsfertig und ohne Abhängigkeiten auszuliefern entspricht nicht unserem Standard. Hier solltest du dich wirklich an den Hersteller des Plugins wenden und um eine installierbare Version bitten.
 

T-Web

Gut bekanntes Mitglied
14. Mai 2019
150
8
Vielen Dank für die Infos. - Habe jetzt den Anbieter angeschrieben und um Support gebeten. Befürchte aber die lassen einem im Regen stehen.
Können das JTL Service Partner installieren ?
 

Ähnliche Themen